Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.http
Class WebInvocationHandler

    java.lang.Object
      org.jboss.remoting.samples.http.WebInvocationHandler

All Implemented Interfaces:
  ServerInvocationHandler

    public class WebInvocationHandler

extends java.lang.Object
implements ServerInvocationHandler

Remoting handler implementation for http invocations to show how to return different data to client.

Author:
  Tom Elrod

Field Summary
`static java.lang.String` | `HTML_PAGE_RESPONSE`
`static java.lang.String` | `NULL_RETURN_PARAM`
`static ComplexObject` | `OBJECT_RESPONSE_VALUE`
`static java.lang.String` | `OBJECT_RETURN_PARAM`
`static java.lang.String` | `RESPONSE_VALUE`
`static java.lang.String` | `STRING_RETURN_PARAM`

Constructor Summary
`WebInvocationHandler()`

Method Summary
`void` | `addListener(InvokerCallbackHandler callbackHandler)` Adds a callback handler that will listen for callbacks from the server invoker handler.
`java.lang.Object` | `invoke(InvocationRequest invocation)` called to handle a specific invocation
`void` | `removeListener(InvokerCallbackHandler callbackHandler)` Removes the callback handler that was listening for callbacks from the server invoker handler.
`void` | `setInvoker(ServerInvoker invoker)` set the invoker that owns this handler
`void` | `setMBeanServer(javax.management.MBeanServer server)` set the mbean server that the handler can reference

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.ServerInvocationHandler
`toString`

Field Detail

### RESPONSE_VALUE

    public static final java.lang.String RESPONSE_VALUE

See Also:
  Constant Field Values

### OBJECT_RESPONSE_VALUE

    public static final ComplexObject OBJECT_RESPONSE_VALUE

### HTML_PAGE_RESPONSE

    public static final java.lang.String HTML_PAGE_RESPONSE

See Also:
  Constant Field Values

### NULL_RETURN_PARAM

    public static final java.lang.String NULL_RETURN_PARAM

See Also:
  Constant Field Values

### OBJECT_RETURN_PARAM

    public static final java.lang.String OBJECT_RETURN_PARAM

See Also:
  Constant Field Values

### STRING_RETURN_PARAM

    public static final java.lang.String STRING_RETURN_PARAM

See Also:
  Constant Field Values

Constructor Detail

### WebInvocationHandler

    public WebInvocationHandler()

Method Detail

### invoke

    public java.lang.Object invoke(InvocationRequest invocation)
                            throws java.lang.Throwable

  called to handle a specific invocation

  Specified by:
    `invoke` in interface `ServerInvocationHandler`
  Parameters:
    `invocation` -
  Returns:
  Throws:
    `java.lang.Throwable`

### addListener

    public void addListener(InvokerCallbackHandler callbackHandler)

  Adds a callback handler that will listen for callbacks from the server invoker handler.

  Specified by:
    `addListener` in interface `ServerInvocationHandler`
  Parameters:
    `callbackHandler` -

### removeListener

    public void removeListener(InvokerCallbackHandler callbackHandler)

  Removes the callback handler that was listening for callbacks from the server invoker handler.

  Specified by:
    `removeListener` in interface `ServerInvocationHandler`
  Parameters:
    `callbackHandler` -

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer server)

  set the mbean server that the handler can reference

  Specified by:
    `setMBeanServer` in interface `ServerInvocationHandler`
  Parameters:
    `server` -

### setInvoker

    public void setInvoker(ServerInvoker invoker)

  set the invoker that owns this handler

  Specified by:
    `setInvoker` in interface `ServerInvocationHandler`
  Parameters:
    `invoker` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.